
module HSE.Type(module HSE.Type, module Export) where

-- Almost all from the Annotated module, but the fixity resolution from Annotated
-- uses the unannotated Assoc enumeration, so export that instead
import Language.Haskell.Exts.Annotated as Export hiding (parse, loc, parseFile, paren, Assoc(..))
import Language.Haskell.Exts as Export(Assoc(..))
import Data.Generics.Uniplate.Data as Export

type S = SrcSpanInfo
type Module_ = Module S
type Decl_ = Decl S
type Exp_ = Exp S
type Pat_ = Pat S
type Type_ = Type S


{-!
deriving instance UniplateDirect (Pat S) (Pat S)
deriving instance UniplateDirect (Exp S)
deriving instance UniplateDirect (Pat S)
deriving instance UniplateDirect (Pat S) (Exp S)
deriving instance UniplateDirect (Binds S) (Exp S)
deriving instance UniplateDirect (Alt S) (Exp S)
deriving instance UniplateDirect (Stmt S) (Exp S)
deriving instance UniplateDirect (QualStmt S) (Exp S)
deriving instance UniplateDirect [QualStmt S] (Exp S)
deriving instance UniplateDirect (Bracket S) (Exp S)
deriving instance UniplateDirect (Splice S) (Exp S)
deriving instance UniplateDirect (XAttr S) (Exp S)
deriving instance UniplateDirect (Maybe (Exp S)) (Exp S)
deriving instance UniplateDirect (FieldUpdate S) (Exp S)
deriving instance UniplateDirect (PatField S) (Pat S)
deriving instance UniplateDirect (Exp S) (Pat S)
deriving instance UniplateDirect (RPat S) (Pat S)
deriving instance UniplateDirect (PXAttr S) (Pat S)
deriving instance UniplateDirect (Maybe (Pat S)) (Pat S)
deriving instance UniplateDirect (PatField S) (Exp S)
deriving instance UniplateDirect (RPat S) (Exp S)
deriving instance UniplateDirect (PXAttr S) (Exp S)
deriving instance UniplateDirect (Maybe (Pat S)) (Exp S)
deriving instance UniplateDirect (Decl S) (Exp S)
deriving instance UniplateDirect (IPBind S) (Exp S)
deriving instance UniplateDirect (GuardedAlts S) (Exp S)
deriving instance UniplateDirect (Maybe (Binds S)) (Exp S)
deriving instance UniplateDirect (Maybe (Exp S)) (Exp S)
deriving instance UniplateDirect (FieldUpdate S) (Exp S)
deriving instance UniplateDirect (PatField S) (Pat S)
deriving instance UniplateDirect (Exp S) (Pat S)
deriving instance UniplateDirect (RPat S) (Pat S)
deriving instance UniplateDirect (PXAttr S) (Pat S)
deriving instance UniplateDirect (Maybe (Pat S)) (Pat S)
deriving instance UniplateDirect (PatField S) (Exp S)
deriving instance UniplateDirect (RPat S) (Exp S)
deriving instance UniplateDirect (PXAttr S) (Exp S)
deriving instance UniplateDirect (Maybe (Pat S)) (Exp S)
deriving instance UniplateDirect (Decl S) (Exp S)
deriving instance UniplateDirect (IPBind S) (Exp S)
deriving instance UniplateDirect (GuardedAlts S) (Exp S)
deriving instance UniplateDirect (Maybe (Binds S)) (Exp S)
deriving instance UniplateDirect (Binds S) (Pat S)
deriving instance UniplateDirect (Alt S) (Pat S)
deriving instance UniplateDirect (Stmt S) (Pat S)
deriving instance UniplateDirect (Maybe (Exp S)) (Pat S)
deriving instance UniplateDirect (FieldUpdate S) (Pat S)
deriving instance UniplateDirect (QualStmt S) (Pat S)
deriving instance UniplateDirect [QualStmt S] (Pat S)
deriving instance UniplateDirect (Bracket S) (Pat S)
deriving instance UniplateDirect (Splice S) (Pat S)
deriving instance UniplateDirect (XAttr S) (Pat S)
deriving instance UniplateDirect (Maybe [ClassDecl S]) (Exp S)
deriving instance UniplateDirect (Maybe [InstDecl S]) (Exp S)
deriving instance UniplateDirect (Match S) (Exp S)
deriving instance UniplateDirect (Rhs S) (Exp S)
deriving instance UniplateDirect (Rule S) (Exp S)
deriving instance UniplateDirect (GuardedAlt S) (Exp S)
deriving instance UniplateDirect (Decl S) (Pat S)
deriving instance UniplateDirect (IPBind S) (Pat S)
deriving instance UniplateDirect (GuardedAlts S) (Pat S)
deriving instance UniplateDirect (Maybe (Binds S)) (Pat S)
deriving instance UniplateDirect (ClassDecl S) (Exp S)
deriving instance UniplateDirect (InstDecl S) (Exp S)
deriving instance UniplateDirect (GuardedRhs S) (Exp S)
deriving instance UniplateDirect (Maybe [ClassDecl S]) (Pat S)
deriving instance UniplateDirect (Maybe [InstDecl S]) (Pat S)
deriving instance UniplateDirect (Match S) (Pat S)
deriving instance UniplateDirect (Rhs S) (Pat S)
deriving instance UniplateDirect (Rule S) (Pat S)
deriving instance UniplateDirect (GuardedAlt S) (Pat S)
deriving instance UniplateDirect (ClassDecl S) (Pat S)
deriving instance UniplateDirect (InstDecl S) (Pat S)
deriving instance UniplateDirect (GuardedRhs S) (Pat S)
deriving instance UniplateDirect (Maybe (Binds S)) (Decl S)
deriving instance UniplateDirect (Exp S) (Name S)
deriving instance UniplateDirect (Decl S)
deriving instance UniplateDirect (Binds S) (Decl S)
deriving instance UniplateDirect (Name S)
deriving instance UniplateDirect (QName S) (Name S)
deriving instance UniplateDirect (QOp S) (Name S)
deriving instance UniplateDirect (Pat S) (Name S)
deriving instance UniplateDirect (Binds S) (Name S)
deriving instance UniplateDirect (Alt S) (Name S)
deriving instance UniplateDirect (Stmt S) (Name S)
deriving instance UniplateDirect (Maybe (Exp S)) (Name S)
deriving instance UniplateDirect (FieldUpdate S) (Name S)
deriving instance UniplateDirect (QualStmt S) (Name S)
deriving instance UniplateDirect [QualStmt S] (Name S)
deriving instance UniplateDirect (Type S) (Name S)
deriving instance UniplateDirect (Bracket S) (Name S)
deriving instance UniplateDirect (Splice S) (Name S)
deriving instance UniplateDirect (XAttr S) (Name S)
deriving instance UniplateDirect (Decl S) (Name S)
deriving instance UniplateDirect (Exp S) (Decl S)
deriving instance UniplateDirect (GuardedAlts S) (Name S)
deriving instance UniplateDirect (IPBind S) (Decl S)
deriving instance UniplateDirect (IPBind S) (Name S)
deriving instance UniplateDirect (Kind S) (Name S)
deriving instance UniplateDirect (Match S) (Decl S)
deriving instance UniplateDirect (Maybe (Binds S)) (Name S)
deriving instance UniplateDirect (Maybe (Context S)) (Name S)
deriving instance UniplateDirect (Maybe (Pat S)) (Name S)
deriving instance UniplateDirect (Maybe [ClassDecl S]) (Decl S)
deriving instance UniplateDirect (Maybe [InstDecl S]) (Decl S)
deriving instance UniplateDirect (Maybe [TyVarBind S]) (Name S)
deriving instance UniplateDirect (PXAttr S) (Name S)
deriving instance UniplateDirect (Pat S) (Decl S)
deriving instance UniplateDirect (PatField S) (Name S)
deriving instance UniplateDirect (RPat S) (Name S)
deriving instance UniplateDirect (Rhs S) (Decl S)
deriving instance UniplateDirect (Rule S) (Decl S)
deriving instance UniplateDirect (Maybe [ClassDecl S]) (Name S)
deriving instance UniplateDirect (InstHead S) (Name S)
deriving instance UniplateDirect (Maybe [InstDecl S]) (Name S)
deriving instance UniplateDirect (Op S) (Name S)
deriving instance UniplateDirect (Match S) (Name S)
deriving instance UniplateDirect (Maybe (Type S)) (Name S)
deriving instance UniplateDirect (Rhs S) (Name S)
deriving instance UniplateDirect (Rule S) (Name S)
deriving instance UniplateDirect ([Name S], String) (Name S)
deriving instance UniplateDirect (Alt S) (Decl S)
deriving instance UniplateDirect (Stmt S) (Decl S)
deriving instance UniplateDirect (Maybe (Exp S)) (Decl S)
deriving instance UniplateDirect (FieldUpdate S) (Decl S)
deriving instance UniplateDirect (QualStmt S) (Decl S)
deriving instance UniplateDirect [QualStmt S] (Decl S)
deriving instance UniplateDirect (Bracket S) (Decl S)
deriving instance UniplateDirect (Splice S) (Decl S)
deriving instance UniplateDirect (XAttr S) (Decl S)
deriving instance UniplateDirect (GuardedAlt S) (Name S)
deriving instance UniplateDirect (Context S) (Name S)
deriving instance UniplateDirect (ClassDecl S) (Decl S)
deriving instance UniplateDirect (InstDecl S) (Decl S)
deriving instance UniplateDirect (TyVarBind S) (Name S)
deriving instance UniplateDirect (PatField S) (Decl S)
deriving instance UniplateDirect (RPat S) (Decl S)
deriving instance UniplateDirect (PXAttr S) (Decl S)
deriving instance UniplateDirect (Maybe (Pat S)) (Decl S)
deriving instance UniplateDirect (GuardedRhs S) (Decl S)
deriving instance UniplateDirect (DeclHead S) (Name S)
deriving instance UniplateDirect (Maybe (Kind S)) (Name S)
deriving instance UniplateDirect (QualConDecl S) (Name S)
deriving instance UniplateDirect (Maybe (Deriving S)) (Name S)
deriving instance UniplateDirect (GadtDecl S) (Name S)
deriving instance UniplateDirect (FunDep S) (Name S)
deriving instance UniplateDirect (ClassDecl S) (Name S)
deriving instance UniplateDirect (InstDecl S) (Name S)
deriving instance UniplateDirect (GuardedRhs S) (Name S)
deriving instance UniplateDirect (Maybe [RuleVar S]) (Name S)
deriving instance UniplateDirect (GuardedAlts S) (Decl S)
deriving instance UniplateDirect (Asst S) (Name S)
deriving instance UniplateDirect (ConDecl S) (Name S)
deriving instance UniplateDirect (Deriving S) (Name S)
deriving instance UniplateDirect (RuleVar S) (Name S)
deriving instance UniplateDirect (GuardedAlt S) (Decl S)
deriving instance UniplateDirect (BangType S) (Name S)
deriving instance UniplateDirect (FieldDecl S) (Name S)
deriving instance UniplateDirect (Module S) (FunDep S)
deriving instance UniplateDirect (Module S) (IPName S)
deriving instance UniplateDirect (Module S) (Decl S)
deriving instance UniplateDirect (Module S) (Kind S)
deriving instance UniplateDirect (Module S) (Pat S)
deriving instance UniplateDirect (Module S) (CallConv S)
deriving instance UniplateDirect (Module S) (GuardedRhs S)
deriving instance UniplateDirect (Module S) (GuardedAlt S)
deriving instance UniplateDirect (Module S) (PatField S)
deriving instance UniplateDirect (Module S) Boxed
deriving instance UniplateDirect (Module S) (ImportDecl S)
deriving instance UniplateDirect (Module S) (Exp S)
deriving instance UniplateDirect (Module S) (QualStmt S)
deriving instance UniplateDirect (Exp S) (CallConv S)
deriving instance UniplateDirect (GuardedRhs S)
deriving instance UniplateDirect (Decl S) (GuardedRhs S)
deriving instance UniplateDirect (XAttr S) (GuardedRhs S)
deriving instance UniplateDirect (Maybe (Exp S)) (GuardedRhs S)
deriving instance UniplateDirect (Exp S) (GuardedRhs S)
deriving instance UniplateDirect (GuardedAlt S)
deriving instance UniplateDirect (Decl S) (GuardedAlt S)
deriving instance UniplateDirect (XAttr S) (GuardedAlt S)
deriving instance UniplateDirect (Maybe (Exp S)) (GuardedAlt S)
deriving instance UniplateDirect (Exp S) (GuardedAlt S)
deriving instance UniplateDirect (PatField S)
deriving instance UniplateDirect (Decl S) (PatField S)
deriving instance UniplateDirect (XAttr S) (PatField S)
deriving instance UniplateDirect (Maybe (Exp S)) (PatField S)
deriving instance UniplateDirect (Exp S) (PatField S)
deriving instance UniplateDirect Boxed
deriving instance UniplateDirect (Maybe (ModuleHead S)) Boxed
deriving instance UniplateDirect (Decl S) Boxed
deriving instance UniplateDirect (XAttr S) Boxed
deriving instance UniplateDirect (Maybe (Exp S)) Boxed
deriving instance UniplateDirect (Exp S) Boxed
deriving instance UniplateDirect (ImportDecl S)
deriving instance UniplateDirect (QualStmt S)
deriving instance UniplateDirect (Decl S) (QualStmt S)
deriving instance UniplateDirect (XAttr S) (QualStmt S)
deriving instance UniplateDirect (Maybe (Exp S)) (QualStmt S)
deriving instance UniplateDirect (Exp S) (QualStmt S)
deriving instance UniplateDirect (Maybe (Type S)) Boxed
deriving instance UniplateDirect (Rhs S) Boxed
deriving instance UniplateDirect (Maybe (Binds S)) Boxed
deriving instance UniplateDirect (Rule S) Boxed
deriving instance UniplateDirect (QName S) Boxed
deriving instance UniplateDirect (QOp S) Boxed
deriving instance UniplateDirect (Binds S) Boxed
deriving instance UniplateDirect (Alt S) Boxed
deriving instance UniplateDirect (Stmt S) Boxed
deriving instance UniplateDirect (FieldUpdate S) Boxed
deriving instance UniplateDirect (QualStmt S) Boxed
deriving instance UniplateDirect [QualStmt S] Boxed
deriving instance UniplateDirect (Bracket S) Boxed
deriving instance UniplateDirect (Splice S) Boxed
deriving instance UniplateDirect (Stmt S) (QualStmt S)
deriving instance UniplateDirect (Maybe [ClassDecl S]) (QualStmt S)
deriving instance UniplateDirect (Maybe [InstDecl S]) (QualStmt S)
deriving instance UniplateDirect (Match S) (QualStmt S)
deriving instance UniplateDirect (Pat S) (QualStmt S)
deriving instance UniplateDirect (Rhs S) (QualStmt S)
deriving instance UniplateDirect (Maybe (Binds S)) (QualStmt S)
deriving instance UniplateDirect (Rule S) (QualStmt S)
deriving instance UniplateDirect (Binds S) (QualStmt S)
deriving instance UniplateDirect (Alt S) (QualStmt S)
deriving instance UniplateDirect (FieldUpdate S) (QualStmt S)
deriving instance UniplateDirect [QualStmt S] (QualStmt S)
deriving instance UniplateDirect (Bracket S) (QualStmt S)
deriving instance UniplateDirect (Splice S) (QualStmt S)
deriving instance UniplateDirect (FunDep S)
deriving instance UniplateDirect (Decl S) (FunDep S)
deriving instance UniplateDirect (XAttr S) (FunDep S)
deriving instance UniplateDirect (Maybe (Exp S)) (FunDep S)
deriving instance UniplateDirect (Exp S) (FunDep S)
deriving instance UniplateDirect (IPName S)
deriving instance UniplateDirect (Decl S) (IPName S)
deriving instance UniplateDirect (XAttr S) (IPName S)
deriving instance UniplateDirect (Maybe (Exp S)) (IPName S)
deriving instance UniplateDirect (Exp S) (IPName S)
deriving instance UniplateDirect (Kind S)
deriving instance UniplateDirect (Decl S) (Kind S)
deriving instance UniplateDirect (XAttr S) (Kind S)
deriving instance UniplateDirect (Maybe (Exp S)) (Kind S)
deriving instance UniplateDirect (Exp S) (Kind S)
deriving instance UniplateDirect (CallConv S)
deriving instance UniplateDirect (Decl S) (CallConv S)
deriving instance UniplateDirect (XAttr S) (CallConv S)
deriving instance UniplateDirect (Maybe (Exp S)) (CallConv S)
deriving instance UniplateDirect (CallConv S)
deriving instance UniplateDirect (Pat S) (CallConv S)
deriving instance UniplateDirect (Binds S) (CallConv S)
deriving instance UniplateDirect (Alt S) (CallConv S)
deriving instance UniplateDirect (Stmt S) (CallConv S)
deriving instance UniplateDirect (FieldUpdate S) (CallConv S)
deriving instance UniplateDirect (QualStmt S) (CallConv S)
deriving instance UniplateDirect [QualStmt S] (CallConv S)
deriving instance UniplateDirect (Bracket S) (CallConv S)
deriving instance UniplateDirect (Splice S) (CallConv S)
deriving instance UniplateDirect (Stmt S) (GuardedRhs S)
deriving instance UniplateDirect (Maybe [ClassDecl S]) (GuardedRhs S)
deriving instance UniplateDirect (Maybe [InstDecl S]) (GuardedRhs S)
deriving instance UniplateDirect (Match S) (GuardedRhs S)
deriving instance UniplateDirect (Pat S) (GuardedRhs S)
deriving instance UniplateDirect (Rhs S) (GuardedRhs S)
deriving instance UniplateDirect (Maybe (Binds S)) (GuardedRhs S)
deriving instance UniplateDirect (Rule S) (GuardedRhs S)
deriving instance UniplateDirect (Binds S) (GuardedRhs S)
deriving instance UniplateDirect (Alt S) (GuardedRhs S)
deriving instance UniplateDirect (FieldUpdate S) (GuardedRhs S)
deriving instance UniplateDirect (QualStmt S) (GuardedRhs S)
deriving instance UniplateDirect [QualStmt S] (GuardedRhs S)
deriving instance UniplateDirect (Bracket S) (GuardedRhs S)
deriving instance UniplateDirect (Splice S) (GuardedRhs S)
deriving instance UniplateDirect (Stmt S) (GuardedAlt S)
deriving instance UniplateDirect (Maybe [ClassDecl S]) (GuardedAlt S)
deriving instance UniplateDirect (Maybe [InstDecl S]) (GuardedAlt S)
deriving instance UniplateDirect (Match S) (GuardedAlt S)
deriving instance UniplateDirect (Pat S) (GuardedAlt S)
deriving instance UniplateDirect (Rhs S) (GuardedAlt S)
deriving instance UniplateDirect (Maybe (Binds S)) (GuardedAlt S)
deriving instance UniplateDirect (Rule S) (GuardedAlt S)
deriving instance UniplateDirect (Binds S) (GuardedAlt S)
deriving instance UniplateDirect (Alt S) (GuardedAlt S)
deriving instance UniplateDirect (FieldUpdate S) (GuardedAlt S)
deriving instance UniplateDirect (QualStmt S) (GuardedAlt S)
deriving instance UniplateDirect [QualStmt S] (GuardedAlt S)
deriving instance UniplateDirect (Bracket S) (GuardedAlt S)
deriving instance UniplateDirect (Splice S) (GuardedAlt S)
deriving instance UniplateDirect (Pat S) (PatField S)
deriving instance UniplateDirect (Maybe [ClassDecl S]) (PatField S)
deriving instance UniplateDirect (Maybe [InstDecl S]) (PatField S)
deriving instance UniplateDirect (Match S) (PatField S)
deriving instance UniplateDirect (Rhs S) (PatField S)
deriving instance UniplateDirect (Maybe (Binds S)) (PatField S)
deriving instance UniplateDirect (Rule S) (PatField S)
deriving instance UniplateDirect (Binds S) (PatField S)
deriving instance UniplateDirect (Alt S) (PatField S)
deriving instance UniplateDirect (Stmt S) (PatField S)
deriving instance UniplateDirect (FieldUpdate S) (PatField S)
deriving instance UniplateDirect (QualStmt S) (PatField S)
deriving instance UniplateDirect [QualStmt S] (PatField S)
deriving instance UniplateDirect (Bracket S) (PatField S)
deriving instance UniplateDirect (Splice S) (PatField S)
deriving instance UniplateDirect (ModuleHead S) Boxed
deriving instance UniplateDirect (Type S) Boxed
deriving instance UniplateDirect (Maybe (Context S)) Boxed
deriving instance UniplateDirect (QualConDecl S) Boxed
deriving instance UniplateDirect (Maybe (Deriving S)) Boxed
deriving instance UniplateDirect (GadtDecl S) Boxed
deriving instance UniplateDirect (Maybe [ClassDecl S]) Boxed
deriving instance UniplateDirect (InstHead S) Boxed
deriving instance UniplateDirect (Maybe [InstDecl S]) Boxed
deriving instance UniplateDirect (Match S) Boxed
deriving instance UniplateDirect (Pat S) Boxed
deriving instance UniplateDirect (GuardedRhs S) Boxed
deriving instance UniplateDirect (Maybe [RuleVar S]) Boxed
deriving instance UniplateDirect (SpecialCon S) Boxed
deriving instance UniplateDirect (IPBind S) Boxed
deriving instance UniplateDirect (GuardedAlts S) Boxed
deriving instance UniplateDirect (ClassDecl S) (QualStmt S)
deriving instance UniplateDirect (InstDecl S) (QualStmt S)
deriving instance UniplateDirect (PatField S) (QualStmt S)
deriving instance UniplateDirect (RPat S) (QualStmt S)
deriving instance UniplateDirect (PXAttr S) (QualStmt S)
deriving instance UniplateDirect (Maybe (Pat S)) (QualStmt S)
deriving instance UniplateDirect (GuardedRhs S) (QualStmt S)
deriving instance UniplateDirect (IPBind S) (QualStmt S)
deriving instance UniplateDirect (GuardedAlts S) (QualStmt S)
deriving instance UniplateDirect (Maybe [ClassDecl S]) (FunDep S)
deriving instance UniplateDirect (Maybe [InstDecl S]) (FunDep S)
deriving instance UniplateDirect (Match S) (FunDep S)
deriving instance UniplateDirect (Pat S) (FunDep S)
deriving instance UniplateDirect (Rhs S) (FunDep S)
deriving instance UniplateDirect (Maybe (Binds S)) (FunDep S)
deriving instance UniplateDirect (Rule S) (FunDep S)
deriving instance UniplateDirect (Binds S) (FunDep S)
deriving instance UniplateDirect (Alt S) (FunDep S)
deriving instance UniplateDirect (Stmt S) (FunDep S)
deriving instance UniplateDirect (FieldUpdate S) (FunDep S)
deriving instance UniplateDirect (QualStmt S) (FunDep S)
deriving instance UniplateDirect [QualStmt S] (FunDep S)
deriving instance UniplateDirect (Bracket S) (FunDep S)
deriving instance UniplateDirect (Splice S) (FunDep S)
deriving instance UniplateDirect (Type S) (IPName S)
deriving instance UniplateDirect (Maybe (Context S)) (IPName S)
deriving instance UniplateDirect (QualConDecl S) (IPName S)
deriving instance UniplateDirect (Maybe (Deriving S)) (IPName S)
deriving instance UniplateDirect (GadtDecl S) (IPName S)
deriving instance UniplateDirect (Maybe [ClassDecl S]) (IPName S)
deriving instance UniplateDirect (InstHead S) (IPName S)
deriving instance UniplateDirect (Maybe [InstDecl S]) (IPName S)
deriving instance UniplateDirect (Match S) (IPName S)
deriving instance UniplateDirect (Pat S) (IPName S)
deriving instance UniplateDirect (Maybe (Type S)) (IPName S)
deriving instance UniplateDirect (Rhs S) (IPName S)
deriving instance UniplateDirect (Maybe (Binds S)) (IPName S)
deriving instance UniplateDirect (Rule S) (IPName S)
deriving instance UniplateDirect (Binds S) (IPName S)
deriving instance UniplateDirect (Alt S) (IPName S)
deriving instance UniplateDirect (Stmt S) (IPName S)
deriving instance UniplateDirect (FieldUpdate S) (IPName S)
deriving instance UniplateDirect (QualStmt S) (IPName S)
deriving instance UniplateDirect [QualStmt S] (IPName S)
deriving instance UniplateDirect (Bracket S) (IPName S)
deriving instance UniplateDirect (Splice S) (IPName S)
deriving instance UniplateDirect (DeclHead S) (Kind S)
deriving instance UniplateDirect (Type S) (Kind S)
deriving instance UniplateDirect (Maybe (Kind S)) (Kind S)
deriving instance UniplateDirect (Maybe (Context S)) (Kind S)
deriving instance UniplateDirect (QualConDecl S) (Kind S)
deriving instance UniplateDirect (Maybe (Deriving S)) (Kind S)
deriving instance UniplateDirect (GadtDecl S) (Kind S)
deriving instance UniplateDirect (Maybe [ClassDecl S]) (Kind S)
deriving instance UniplateDirect (InstHead S) (Kind S)
deriving instance UniplateDirect (Maybe [InstDecl S]) (Kind S)
deriving instance UniplateDirect (Match S) (Kind S)
deriving instance UniplateDirect (Pat S) (Kind S)
deriving instance UniplateDirect (Maybe (Type S)) (Kind S)
deriving instance UniplateDirect (Rhs S) (Kind S)
deriving instance UniplateDirect (Maybe (Binds S)) (Kind S)
deriving instance UniplateDirect (Rule S) (Kind S)
deriving instance UniplateDirect (Binds S) (Kind S)
deriving instance UniplateDirect (Alt S) (Kind S)
deriving instance UniplateDirect (Stmt S) (Kind S)
deriving instance UniplateDirect (FieldUpdate S) (Kind S)
deriving instance UniplateDirect (QualStmt S) (Kind S)
deriving instance UniplateDirect [QualStmt S] (Kind S)
deriving instance UniplateDirect (Bracket S) (Kind S)
deriving instance UniplateDirect (Splice S) (Kind S)
deriving instance UniplateDirect (Maybe [ClassDecl S]) (CallConv S)
deriving instance UniplateDirect (Maybe [InstDecl S]) (CallConv S)
deriving instance UniplateDirect (Match S) (CallConv S)
deriving instance UniplateDirect (Rhs S) (CallConv S)
deriving instance UniplateDirect (Maybe (Binds S)) (CallConv S)
deriving instance UniplateDirect (Rule S) (CallConv S)
deriving instance UniplateDirect (PatField S) (CallConv S)
deriving instance UniplateDirect (RPat S) (CallConv S)
deriving instance UniplateDirect (PXAttr S) (CallConv S)
deriving instance UniplateDirect (Maybe (Pat S)) (CallConv S)
deriving instance UniplateDirect (IPBind S) (CallConv S)
deriving instance UniplateDirect (GuardedAlts S) (CallConv S)
deriving instance UniplateDirect (ClassDecl S) (GuardedRhs S)
deriving instance UniplateDirect (InstDecl S) (GuardedRhs S)
deriving instance UniplateDirect (PatField S) (GuardedRhs S)
deriving instance UniplateDirect (RPat S) (GuardedRhs S)
deriving instance UniplateDirect (PXAttr S) (GuardedRhs S)
deriving instance UniplateDirect (Maybe (Pat S)) (GuardedRhs S)
deriving instance UniplateDirect (IPBind S) (GuardedRhs S)
deriving instance UniplateDirect (GuardedAlts S) (GuardedRhs S)
deriving instance UniplateDirect (ClassDecl S) (GuardedAlt S)
deriving instance UniplateDirect (InstDecl S) (GuardedAlt S)
deriving instance UniplateDirect (PatField S) (GuardedAlt S)
deriving instance UniplateDirect (RPat S) (GuardedAlt S)
deriving instance UniplateDirect (PXAttr S) (GuardedAlt S)
deriving instance UniplateDirect (Maybe (Pat S)) (GuardedAlt S)
deriving instance UniplateDirect (GuardedRhs S) (GuardedAlt S)
deriving instance UniplateDirect (IPBind S) (GuardedAlt S)
deriving instance UniplateDirect (GuardedAlts S) (GuardedAlt S)
deriving instance UniplateDirect (RPat S) (PatField S)
deriving instance UniplateDirect (PXAttr S) (PatField S)
deriving instance UniplateDirect (Maybe (Pat S)) (PatField S)
deriving instance UniplateDirect (ClassDecl S) (PatField S)
deriving instance UniplateDirect (InstDecl S) (PatField S)
deriving instance UniplateDirect (GuardedRhs S) (PatField S)
deriving instance UniplateDirect (IPBind S) (PatField S)
deriving instance UniplateDirect (GuardedAlts S) (PatField S)
deriving instance UniplateDirect (Maybe (ExportSpecList S)) Boxed
deriving instance UniplateDirect (Context S) Boxed
deriving instance UniplateDirect (ConDecl S) Boxed
deriving instance UniplateDirect (Deriving S) Boxed
deriving instance UniplateDirect (ClassDecl S) Boxed
deriving instance UniplateDirect (InstDecl S) Boxed
deriving instance UniplateDirect (PatField S) Boxed
deriving instance UniplateDirect (RPat S) Boxed
deriving instance UniplateDirect (PXAttr S) Boxed
deriving instance UniplateDirect (Maybe (Pat S)) Boxed
deriving instance UniplateDirect (RuleVar S) Boxed
deriving instance UniplateDirect (GuardedAlt S) Boxed
deriving instance UniplateDirect (GuardedAlt S) (QualStmt S)
deriving instance UniplateDirect (ClassDecl S) (FunDep S)
deriving instance UniplateDirect (InstDecl S) (FunDep S)
deriving instance UniplateDirect (PatField S) (FunDep S)
deriving instance UniplateDirect (RPat S) (FunDep S)
deriving instance UniplateDirect (PXAttr S) (FunDep S)
deriving instance UniplateDirect (Maybe (Pat S)) (FunDep S)
deriving instance UniplateDirect (GuardedRhs S) (FunDep S)
deriving instance UniplateDirect (IPBind S) (FunDep S)
deriving instance UniplateDirect (GuardedAlts S) (FunDep S)
deriving instance UniplateDirect (Context S) (IPName S)
deriving instance UniplateDirect (ConDecl S) (IPName S)
deriving instance UniplateDirect (Deriving S) (IPName S)
deriving instance UniplateDirect (ClassDecl S) (IPName S)
deriving instance UniplateDirect (InstDecl S) (IPName S)
deriving instance UniplateDirect (PatField S) (IPName S)
deriving instance UniplateDirect (RPat S) (IPName S)
deriving instance UniplateDirect (PXAttr S) (IPName S)
deriving instance UniplateDirect (Maybe (Pat S)) (IPName S)
deriving instance UniplateDirect (GuardedRhs S) (IPName S)
deriving instance UniplateDirect (Maybe [RuleVar S]) (IPName S)
deriving instance UniplateDirect (IPBind S) (IPName S)
deriving instance UniplateDirect (GuardedAlts S) (IPName S)
deriving instance UniplateDirect (TyVarBind S) (Kind S)
deriving instance UniplateDirect (Maybe [TyVarBind S]) (Kind S)
deriving instance UniplateDirect (Context S) (Kind S)
deriving instance UniplateDirect (ConDecl S) (Kind S)
deriving instance UniplateDirect (Deriving S) (Kind S)
deriving instance UniplateDirect (ClassDecl S) (Kind S)
deriving instance UniplateDirect (InstDecl S) (Kind S)
deriving instance UniplateDirect (PatField S) (Kind S)
deriving instance UniplateDirect (RPat S) (Kind S)
deriving instance UniplateDirect (PXAttr S) (Kind S)
deriving instance UniplateDirect (Maybe (Pat S)) (Kind S)
deriving instance UniplateDirect (GuardedRhs S) (Kind S)
deriving instance UniplateDirect (Maybe [RuleVar S]) (Kind S)
deriving instance UniplateDirect (IPBind S) (Kind S)
deriving instance UniplateDirect (GuardedAlts S) (Kind S)
deriving instance UniplateDirect (ClassDecl S) (CallConv S)
deriving instance UniplateDirect (InstDecl S) (CallConv S)
deriving instance UniplateDirect (GuardedRhs S) (CallConv S)
deriving instance UniplateDirect (GuardedAlt S) (CallConv S)
deriving instance UniplateDirect (GuardedAlt S) (GuardedRhs S)
deriving instance UniplateDirect (GuardedAlt S) (PatField S)
deriving instance UniplateDirect (ExportSpecList S) Boxed
deriving instance UniplateDirect (Asst S) Boxed
deriving instance UniplateDirect (BangType S) Boxed
deriving instance UniplateDirect (FieldDecl S) Boxed
deriving instance UniplateDirect (GuardedAlt S) (FunDep S)
deriving instance UniplateDirect (Asst S) (IPName S)
deriving instance UniplateDirect (BangType S) (IPName S)
deriving instance UniplateDirect (FieldDecl S) (IPName S)
deriving instance UniplateDirect (RuleVar S) (IPName S)
deriving instance UniplateDirect (GuardedAlt S) (IPName S)
deriving instance UniplateDirect (Asst S) (Kind S)
deriving instance UniplateDirect (BangType S) (Kind S)
deriving instance UniplateDirect (FieldDecl S) (Kind S)
deriving instance UniplateDirect (RuleVar S) (Kind S)
deriving instance UniplateDirect (GuardedAlt S) (Kind S)
deriving instance UniplateDirect (ExportSpec S) Boxed
deriving instance UniplateDirect (Module S) (Splice S)
deriving instance UniplateDirect (Module S) (Bracket S)
deriving instance UniplateDirect (Splice S)
deriving instance UniplateDirect (Decl S) (Splice S)
deriving instance UniplateDirect (XAttr S) (Splice S)
deriving instance UniplateDirect (Maybe (Exp S)) (Splice S)
deriving instance UniplateDirect (Exp S) (Splice S)
deriving instance UniplateDirect (Bracket S)
deriving instance UniplateDirect (Decl S) (Bracket S)
deriving instance UniplateDirect (XAttr S) (Bracket S)
deriving instance UniplateDirect (Maybe (Exp S)) (Bracket S)
deriving instance UniplateDirect (Exp S) (Bracket S)
deriving instance UniplateDirect (Maybe [ClassDecl S]) (Splice S)
deriving instance UniplateDirect (Maybe [InstDecl S]) (Splice S)
deriving instance UniplateDirect (Match S) (Splice S)
deriving instance UniplateDirect (Pat S) (Splice S)
deriving instance UniplateDirect (Rhs S) (Splice S)
deriving instance UniplateDirect (Maybe (Binds S)) (Splice S)
deriving instance UniplateDirect (Rule S) (Splice S)
deriving instance UniplateDirect (Binds S) (Splice S)
deriving instance UniplateDirect (Alt S) (Splice S)
deriving instance UniplateDirect (Stmt S) (Splice S)
deriving instance UniplateDirect (FieldUpdate S) (Splice S)
deriving instance UniplateDirect (QualStmt S) (Splice S)
deriving instance UniplateDirect [QualStmt S] (Splice S)
deriving instance UniplateDirect (Bracket S) (Splice S)
deriving instance UniplateDirect (Pat S) (Bracket S)
deriving instance UniplateDirect (Maybe [ClassDecl S]) (Bracket S)
deriving instance UniplateDirect (Maybe [InstDecl S]) (Bracket S)
deriving instance UniplateDirect (Match S) (Bracket S)
deriving instance UniplateDirect (Rhs S) (Bracket S)
deriving instance UniplateDirect (Maybe (Binds S)) (Bracket S)
deriving instance UniplateDirect (Rule S) (Bracket S)
deriving instance UniplateDirect (Binds S) (Bracket S)
deriving instance UniplateDirect (Alt S) (Bracket S)
deriving instance UniplateDirect (Stmt S) (Bracket S)
deriving instance UniplateDirect (FieldUpdate S) (Bracket S)
deriving instance UniplateDirect (QualStmt S) (Bracket S)
deriving instance UniplateDirect [QualStmt S] (Bracket S)
deriving instance UniplateDirect (Splice S) (Bracket S)
deriving instance UniplateDirect (ClassDecl S) (Splice S)
deriving instance UniplateDirect (InstDecl S) (Splice S)
deriving instance UniplateDirect (PatField S) (Splice S)
deriving instance UniplateDirect (RPat S) (Splice S)
deriving instance UniplateDirect (PXAttr S) (Splice S)
deriving instance UniplateDirect (Maybe (Pat S)) (Splice S)
deriving instance UniplateDirect (GuardedRhs S) (Splice S)
deriving instance UniplateDirect (IPBind S) (Splice S)
deriving instance UniplateDirect (GuardedAlts S) (Splice S)
deriving instance UniplateDirect (PatField S) (Bracket S)
deriving instance UniplateDirect (RPat S) (Bracket S)
deriving instance UniplateDirect (PXAttr S) (Bracket S)
deriving instance UniplateDirect (Maybe (Pat S)) (Bracket S)
deriving instance UniplateDirect (ClassDecl S) (Bracket S)
deriving instance UniplateDirect (InstDecl S) (Bracket S)
deriving instance UniplateDirect (GuardedRhs S) (Bracket S)
deriving instance UniplateDirect (IPBind S) (Bracket S)
deriving instance UniplateDirect (GuardedAlts S) (Bracket S)
deriving instance UniplateDirect (GuardedAlt S) (Splice S)
deriving instance UniplateDirect (GuardedAlt S) (Bracket S)
deriving instance UniplateDirect (Exp S) (Exp S)
deriving instance UniplateDirect [Pat S] (Pat S)
deriving instance UniplateDirect (Module S) (Name S)
deriving instance UniplateDirect (Maybe (ModuleHead S)) (Name S)
deriving instance UniplateDirect (OptionPragma S) (Name S)
deriving instance UniplateDirect (ImportDecl S) (Name S)
deriving instance UniplateDirect (ModuleHead S) (Name S)
deriving instance UniplateDirect (Maybe (ImportSpecList S)) (Name S)
deriving instance UniplateDirect (Maybe (ExportSpecList S)) (Name S)
deriving instance UniplateDirect (ImportSpecList S) (Name S)
deriving instance UniplateDirect (ExportSpecList S) (Name S)
deriving instance UniplateDirect (ImportSpec S) (Name S)
deriving instance UniplateDirect (ExportSpec S) (Name S)
deriving instance UniplateDirect (CName S) (Name S)
deriving instance UniplateDirect [Stmt S] (Exp S)
deriving instance UniplateDirect (Decl S) (Type S)
deriving instance UniplateDirect (Type S)
deriving instance UniplateDirect (Maybe (Context S)) (Type S)
deriving instance UniplateDirect (QualConDecl S) (Type S)
deriving instance UniplateDirect (Maybe (Deriving S)) (Type S)
deriving instance UniplateDirect (GadtDecl S) (Type S)
deriving instance UniplateDirect (Maybe [ClassDecl S]) (Type S)
deriving instance UniplateDirect (InstHead S) (Type S)
deriving instance UniplateDirect (Maybe [InstDecl S]) (Type S)
deriving instance UniplateDirect (Exp S) (Type S)
deriving instance UniplateDirect (Match S) (Type S)
deriving instance UniplateDirect (Pat S) (Type S)
deriving instance UniplateDirect (Maybe (Type S)) (Type S)
deriving instance UniplateDirect (Rhs S) (Type S)
deriving instance UniplateDirect (Maybe (Binds S)) (Type S)
deriving instance UniplateDirect (Rule S) (Type S)
deriving instance UniplateDirect (Context S) (Type S)
deriving instance UniplateDirect (ConDecl S) (Type S)
deriving instance UniplateDirect (Deriving S) (Type S)
deriving instance UniplateDirect (ClassDecl S) (Type S)
deriving instance UniplateDirect (InstDecl S) (Type S)
deriving instance UniplateDirect (Binds S) (Type S)
deriving instance UniplateDirect (Alt S) (Type S)
deriving instance UniplateDirect (Stmt S) (Type S)
deriving instance UniplateDirect (Maybe (Exp S)) (Type S)
deriving instance UniplateDirect (FieldUpdate S) (Type S)
deriving instance UniplateDirect (QualStmt S) (Type S)
deriving instance UniplateDirect [QualStmt S] (Type S)
deriving instance UniplateDirect (Bracket S) (Type S)
deriving instance UniplateDirect (Splice S) (Type S)
deriving instance UniplateDirect (XAttr S) (Type S)
deriving instance UniplateDirect (PatField S) (Type S)
deriving instance UniplateDirect (RPat S) (Type S)
deriving instance UniplateDirect (PXAttr S) (Type S)
deriving instance UniplateDirect (Maybe (Pat S)) (Type S)
deriving instance UniplateDirect (GuardedRhs S) (Type S)
deriving instance UniplateDirect (Maybe [RuleVar S]) (Type S)
deriving instance UniplateDirect (Asst S) (Type S)
deriving instance UniplateDirect (BangType S) (Type S)
deriving instance UniplateDirect (FieldDecl S) (Type S)
deriving instance UniplateDirect (IPBind S) (Type S)
deriving instance UniplateDirect (GuardedAlts S) (Type S)
deriving instance UniplateDirect (RuleVar S) (Type S)
deriving instance UniplateDirect (GuardedAlt S) (Type S)
deriving instance UniplateDirect (Exp S) (QName S)
deriving instance UniplateDirect (QName S)
deriving instance UniplateDirect (QOp S) (QName S)
deriving instance UniplateDirect (Pat S) (QName S)
deriving instance UniplateDirect (Binds S) (QName S)
deriving instance UniplateDirect (Alt S) (QName S)
deriving instance UniplateDirect (Stmt S) (QName S)
deriving instance UniplateDirect (Maybe (Exp S)) (QName S)
deriving instance UniplateDirect (FieldUpdate S) (QName S)
deriving instance UniplateDirect (QualStmt S) (QName S)
deriving instance UniplateDirect [QualStmt S] (QName S)
deriving instance UniplateDirect (Type S) (QName S)
deriving instance UniplateDirect (Bracket S) (QName S)
deriving instance UniplateDirect (Splice S) (QName S)
deriving instance UniplateDirect (XAttr S) (QName S)
deriving instance UniplateDirect (PatField S) (QName S)
deriving instance UniplateDirect (RPat S) (QName S)
deriving instance UniplateDirect (PXAttr S) (QName S)
deriving instance UniplateDirect (Maybe (Pat S)) (QName S)
deriving instance UniplateDirect (Decl S) (QName S)
deriving instance UniplateDirect (IPBind S) (QName S)
deriving instance UniplateDirect (GuardedAlts S) (QName S)
deriving instance UniplateDirect (Maybe (Binds S)) (QName S)
deriving instance UniplateDirect (Maybe (Context S)) (QName S)
deriving instance UniplateDirect (QualConDecl S) (QName S)
deriving instance UniplateDirect (Maybe (Deriving S)) (QName S)
deriving instance UniplateDirect (GadtDecl S) (QName S)
deriving instance UniplateDirect (Maybe [ClassDecl S]) (QName S)
deriving instance UniplateDirect (InstHead S) (QName S)
deriving instance UniplateDirect (Maybe [InstDecl S]) (QName S)
deriving instance UniplateDirect (Match S) (QName S)
deriving instance UniplateDirect (Maybe (Type S)) (QName S)
deriving instance UniplateDirect (Rhs S) (QName S)
deriving instance UniplateDirect (Rule S) (QName S)
deriving instance UniplateDirect (GuardedAlt S) (QName S)
deriving instance UniplateDirect (Context S) (QName S)
deriving instance UniplateDirect (ConDecl S) (QName S)
deriving instance UniplateDirect (Deriving S) (QName S)
deriving instance UniplateDirect (ClassDecl S) (QName S)
deriving instance UniplateDirect (InstDecl S) (QName S)
deriving instance UniplateDirect (GuardedRhs S) (QName S)
deriving instance UniplateDirect (Maybe [RuleVar S]) (QName S)
deriving instance UniplateDirect (Asst S) (QName S)
deriving instance UniplateDirect (BangType S) (QName S)
deriving instance UniplateDirect (FieldDecl S) (QName S)
deriving instance UniplateDirect (RuleVar S) (QName S)
!-}
